console.log(window.profiles); // Log the imported profiles to the console

// Get the container where profiles will be displayed
const profileContainer = document.getElementById('profileContainer');

// Function to generate profile cards
function generateProfileCard(profile) {
  const { name, jobTitle, department, phoneNumber, mobileNumber, email, userProfilePic, socialMediaLinks } = profile;

  const card = document.createElement('div');
  card.classList.add('profile-card');
  card.style.opacity = '0'; // Initially hide the card
    // Animating the card opacity when it's added to the container
  setTimeout(() => {
    card.style.opacity = '1';
  }, 100);

  const img = document.createElement('img');
  img.src = userProfilePic;
  img.alt = name + "'s profile picture";
  img.classList.add('profile-pic');
  card.appendChild(img);

  const nameEl = document.createElement('h2');
  nameEl.innerHTML = "<strong>Name:</strong> " + name;
  card.appendChild(nameEl);

  const jobTitleEl = document.createElement('p');
  jobTitleEl.innerHTML = "<strong> Job Title</strong>: " + jobTitle;
  card.appendChild(jobTitleEl);

  const departmentEl = document.createElement('p');
  departmentEl.innerHTML = "<strong>Department</strong>: " + department;
  card.appendChild(departmentEl);

  const phoneEl = document.createElement('p');
  phoneEl.innerHTML = "<strong>Office Phone: </strong> " + phoneNumber;
  card.appendChild(phoneEl);

  const mobileEl = document.createElement('p');
  mobileEl.innerHTML = "<strong>Mobile</strong>: " + mobileNumber;
  card.appendChild(mobileEl);

  const emailEl = document.createElement('p');
  emailEl.innerHTML = "<strong>Email</strong>: " + email;
  card.appendChild(emailEl);

  const socialLinks = document.createElement('div');
  socialLinks.classList.add('social-links');

  for (const [platform, link] of Object.entries(socialMediaLinks)) {
    const linkEl = document.createElement('a');
    linkEl.href = link;
    linkEl.textContent = platform.charAt(0).toUpperCase() + platform.slice(1);
    linkEl.target = "_blank";
    socialLinks.appendChild(linkEl);
  }
  card.appendChild(socialLinks);
  return card;
}

// Function to display profiles
function displayProfiles(profiles) {
  profiles.forEach(profile => {
    const profileCard = generateProfileCard(profile);
    profileContainer.appendChild(profileCard);
  });
}

// Display profiles when the page loads
window.onload = function() {
  displayProfiles(profiles);
};
